Page MenuHomePhabricator

Rename wgPopupsPageBlacklist
Closed, ResolvedPublic2 Estimated Story Points

Description

Popups has a config flag called wgPopupsPageBlacklist
wgPopupsPageDisabled would be a better choice of name
To make this transition smoother, rely on the fact that the config in production is set across all projects and simply change its default value to:

'Special:CreateAccount',
'Special:GlobalRenameRequest',
'Special:Userlogin',
'Special:MergeAccount',
'Special:ChangeCredentials',
'Special:OAuthListConsumers',
'Special:GlobalUserRights',
'Special:Notifications',
'Special:UserRights',
'Special:Upload',
'Special:VipsTest',
'Special:ApiFeatureUsage',
'Special:ExpandTemplates',
'Special:GadgetUsage',
'Special:GraphSandbox',
'Special:TemplateSandbox',
'Special:MostLinkedFiles',
'Special:Book',

a/c

  • Rename isTitleBlacklisted in Popups extension
  • Rename config flag PopupsPageBlacklist to wgPopupsPageDisabled using the default value
  • Remove associated site config

Event Timeline

ovasileva triaged this task as Medium priority.Jun 9 2020, 3:41 PM
ovasileva set the point value for this task to 2.Jul 1 2020, 4:39 PM
Ammarpad claimed this task.Jul 2 2020, 10:02 PM
Ammarpad added a subscriber: Ammarpad.

The method has already been fixed by Thiemo in r603808. So only the config variable remains. But I am not sure about the third point...

Remove associated site config

After renaming it, also remove it?

If the default value is changed there is no need to override it in mediawiki config. This means we don't have to worry about changing the config prior to changing the name of the config variable and after changing it we can remove the override in the operations/mediawiki-config repo. Does that make sense?

OK, it's clear now. And that simplifies this a lot, because otherwise changing it in operations/mediawiki-config repo cannot be done in single patch.

Change 609391 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/Popups@master] Popups: Add new config variable

https://gerrit.wikimedia.org/r/609391

Change 609391 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Popups: Rename new config variable

https://gerrit.wikimedia.org/r/609391

Blocked until 16th 4pm PST when we can clean up the mediawiki-config

Jdlrobson updated the task description. (Show Details)Jul 7 2020, 9:48 PM

Change 613684 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[operations/mediawiki-config@master] Remove wgPopupsPageBlacklist config setting

https://gerrit.wikimedia.org/r/613684

Change 613684 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove wgPopupsPageBlacklist config setting

https://gerrit.wikimedia.org/r/613684

Mentioned in SAL (#wikimedia-operations) [2020-07-20T11:36:18Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: c12f1dee6b9888849c64312c2a4fd65ecbd4091e: Remove wgPopupsPageBlacklist config setting (T254676) (duration: 00m 57s)

Jdlrobson added a subscriber: Urbanecm.

Thank you @Ammarpad and @Urbanecm for taking care of the deploy!

Ammarpad updated the task description. (Show Details)Jul 25 2020, 6:04 AM

ill sign off

Jdlrobson closed this task as Resolved.Jul 27 2020, 6:34 PM
Aklapper removed a subscriber: Anomie.Oct 16 2020, 5:41 PM